Summary: boa httpd
Name: boa
Version: 0.92
Release: 1
Group: Networking/Daemons
Packager: Justus Pendleton <justus@andrew.cmu.edu>
URL: http://www.boa.org
Copyright: GPL
Vendor: False Dragons
Distribution: Red Hat Linux Colgate
Source0: http://www.boa.org/boa-0.92.tar.gz
Source1: boa-images.tgz
Patch0: redhat-boa.diff

%description
a high speed, lightweight web server (HTTP protocol).
based on direct use of the select(2) system call, it
internally multiplexes all connections without forking, 
for maximum speed and minimum system resource use.

%prep
%setup
%setup -T -D -a 1
%patch0 -p1
%build
( cd src ;
make CMDARGS="-c -O2 -fomit-frame-pointer $RPM_OPT_FLAGS" ;
strip boa )

%install
mkdir -p /home/httpd
mkdir -p /home/httpd/cgi-bin
mkdir -p /home/httpd/htdocs
mkdir -p /home/httpd/htdocs/docs
mkdir -p /home/httpd/conf
mkdir -p /home/httpd/logs
mkdir -p /home/httpd/util
install -o root -g daemon src/boa /usr/sbin
install -o root -g daemon conf/* /home/httpd/conf
install -o root -g daemon util/resolver.pl /home/httpd/util
install -o root -g daemon util/cgi-test.cgi /home/httpd/cgi-bin
install -o root -g daemon docs/*.html /home/httpd/htdocs/docs
install -o root -g daemon docs/*.gif /home/httpd/htdocs/docs
install -o root -g daemon *.gif /home/httpd/htdocs
install -o root -g daemon *.jpg /home/httpd/htdocs

%post
ln -s /home/httpd/htdocs/docs/index.html /home/httpd/htdocs/index.html
echo "www:2345:respawn:/usr/sbin/boa" >> /etc/inittab
echo "added server startup to /etc/inittab"
echo "------------------------------------"
echo "This server has been compiled to enable any file named .cgi to"
echo "be run as a cgi program."
echo
echo "in /home/httpd/util you will find a resolver to change the ip addresses"
echo "in the log files to hostnames"
echo "------------------------------------"
echo "to start boa now type 'telinit q'"
echo "otherwise it will be started the next time you boot"
echo "in run levels 2, 3, 4, or 5"

%preun
echo "moving log files to /tmp/acces_log and /tmp/error_log"
echo "if you don't want them anymore you can delete them"
if [ -f /home/httpd/logs/error_log ] 
then
	echo "moving error_log to /tmp"
	mv /home/httpd/logs/error_log /tmp
fi
if [ -f /home/httpd/logs/access_log ] 
then
	echo "moving access_log to /tmp"
	mv /home/httpd/logs/access_log /tmp
fi

%postun
echo "removing boa from /etc/inittab"
grep -v "www:" /etc/inittab > /tmp/inittab$$
mv /tmp/inittab$$ /etc/inittab

%files
%doc docs/Changelog docs/Makefile docs/Gnu_License docs/boa-0.92.lsm docs/boa.conf-dist docs/details.txt docs/readme-0.91 docs/readme.txt docs/todo.txt
/usr/sbin/boa
/home/httpd/conf/mime.types
/home/httpd/conf/boa.conf
/home/httpd/util/resolver.pl
/home/httpd/cgi-bin/cgi-test.cgi
/home/httpd/htdocs/docs/biblio.html
/home/httpd/htdocs/docs/details.html
/home/httpd/htdocs/docs/index.html
/home/httpd/htdocs/docs/logos.html
/home/httpd/htdocs/docs/newboa7.gif
/home/httpd/htdocs/docs/poweredbyboa.gif
/home/httpd/htdocs/docs/readme.html
/home/httpd/htdocs/bar.jpg
/home/httpd/htdocs/dot.jpg
/home/httpd/htdocs/greenboa.gif
/home/httpd/htdocs/greyboa.gif
/home/httpd/htdocs/newboa2.gif
/home/httpd/htdocs/newboa3.gif
/home/httpd/htdocs/newboa4.gif
/home/httpd/htdocs/newboa9.gif
/home/httpd/htdocs/newboa10.gif
%dir /home/httpd/conf
%dir /home/httpd/logs
%dir /home/httpd/util
%dir /home/httpd/cgi-bin
%dir /home/httpd/htdocs/docs
%dir /home/httpd/htdocs
%dir /home/httpd
